Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046896
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSminorsometimes2021-05-24 16:022021-06-21 13:58
ReporterjmelinView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046896: JIRA 1730 - TerminalLogLoader - Error 401

DescriptionOn the POS, we have in console/network a 401 error on TerminalLogLoader

Request URL: https://agapes-test.cloud.openbravo.com/openbravo/org.openbravo.mobile.core.service.jsonrest/org.openbravo.mobile.core.TerminalLogLoader?$timeout=15000 [^]
Request Method: POST
Status Code: 401 401

Response:
{"response":{"status":-1,"error":{"message":"Request CSRF Token does not match with the one provided by Session","messageType":"Error","title":""},"totalRows":0}}



EDIT ggi:

* Summary:

Most probably the problem is related to the synchronization buffer starting to soon.

* Details:

When the login finish it is saved the csrf token, that is needed for all the requests to backend to work.

Looks like the synchronization buffer is trying to start sending messages to backend when we still don't have this csrf token.

It fails with the terminal log messages because they are the most common messages, also are generated while logout and when user is doing login, so is common to have terminal log messages waiting that the synchronization buffer starts after login to start synchronizing them

* Proposed fix:

Delay the start of the synchronization buffer till we have the csrf token.
Steps To Reproduce1. Connect to POS
2. Start to create an order and wait sometimes

=> After sometimes, you have an error 401

In the log of the OB Central server:
2021-05-24 14:02:52,329 [http-6] ERROR org.openbravo.mobile.core.process.MobileService - CSRF token check failed. Request=/openbravo/org.openbravo.mobile.core.service.jsonrest/org.openbravo.mobile.core.TerminalLogLoader, SessionID=BD542A0BA4D64A1962BB9E9E9ECF8614, SessionToken=8FCA6897EF3E4F0AAD32EA39789DA5D2, RequestToken=3E07EB9164CC4D58AE6853F56C389079
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046814 closedcaristu JIRA 1730 - TerminalLogLoader - Error 401 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-05-28 22:19 guilleaer Type defect => backport
2021-05-28 22:19 guilleaer Target Version => TAP
2021-06-10 17:56 guilleaer Assigned To gorka_gil => caristu
2021-06-10 17:56 guilleaer Severity major => minor
2021-06-21 13:55 alostale Status scheduled => resolved
2021-06-21 13:55 alostale Resolution open => fixed
2021-06-21 13:55 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker